# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
PYPI_PN="Flask"
PYTHON_COMPAT=( python3_{7..12} )
inherit distutils-r1 pypi

DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
HOMEPAGE="https://github.com/pallets/flask/"

LICENSE="BSD"
SLOT="0"
IUSE=""
KEYWORDS="x86 amd64"

RDEPEND="<dev-python/click-8[${PYTHON_USEDEP}]
	dev-python/blinker[${PYTHON_USEDEP}]
	<dev-python/itsdangerous-2[${PYTHON_USEDEP}]
	<dev-python/jinja2-3[${PYTHON_USEDEP}]
	<dev-python/werkzeug-2[${PYTHON_USEDEP}]"

distutils_enable_sphinx docs
