# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..12} )

inherit distutils-r1

DESCRIPTION="Python package for talking to YubiKeys"
SRC_URI="https://github.com/Yubico/${PN}/releases/download/${P}/${P}.tar.gz"
HOMEPAGE="https://github.com/Yubico/python-yubico"

IUSE=""
SLOT="0"
LICENSE="LGPL-2"
KEYWORDS="x86 amd64"

RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND} dev-lang/python"
